Summary:        Python binding of Libdiscid
Name:           python-discid
Version:        1.2.0
Release:        %mkrel 7
License:        LGPLv3+
Group:          Development/Python
Url:            https://python-discid.readthedocs.org/
Source0:        https://github.com/JonnyJD/python-discid/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  pkgconfig(libdiscid)
BuildRequires:  pkgconfig(python3)

%description
Python-discid implements Python bindings for MusicBrainz Libdiscid.

Libdiscid's main purpose is the calculation of an identifier of audio
discs (disc ID) to use for the `MusicBrainz database.

That identifier is calculated from the TOC of the disc, similar to the
freeDB CDDB identifier. Libdiscid can calculate MusicBrainz disc IDs and
freeDB disc IDs.
Additionally the MCN of the disc and ISRCs from the tracks can be extracted.

This module is a close binding that offloads all relevant data
storage and calculation to Libdiscid. On the other hand it gives a
pythonic API and uses objects and exceptions.

%package -n python3-discid
Summary:        Python 3 binding of Libdiscid
Group:          Development/Python
BuildArch:      noarch
Requires:       libdiscid
%{?python_provide:%python_provide python3-discid}

%description -n python3-discid
Python2-discid implements Python 3 bindings for MusicBrainz Libdiscid.

Libdiscid's main purpose is the calculation of an identifier of audio
discs (disc ID) to use for the `MusicBrainz database.

That identifier is calculated from the TOC of the disc, similar to the
freeDB CDDB identifier. Libdiscid can calculate MusicBrainz disc IDs and
freeDB disc IDs.
Additionally the MCN of the disc and ISRCs from the tracks can be extracted.

This module is a close binding that offloads all relevant data
storage and calculation to Libdiscid. On the other hand it gives a
pythonic API and uses objects and exceptions.

%prep
%setup -q

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files discid

%files -n python3-discid -f %{pyproject_files}
%doc CHANGES.rst README.rst


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.2.0-7.mga10
+ Revision: 2238273
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 1.2.0-6.mga10
+ Revision: 2154709
- rebuild for python3.13

* Tue Dec 12 2023 papoteur <papoteur> 1.2.0-5.mga10
+ Revision: 2017330
- rebuild for python3.12
- adapt to pyproject

* Mon Mar 21 2022 umeabot <umeabot> 1.2.0-4.mga9
+ Revision: 1816162
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 neoclust <neoclust> 1.2.0-3.mga9
+ Revision: 1774342
- Rebuild for python 3.10

* Sat Jun 26 2021 wally <wally> 1.2.0-2.mga9
+ Revision: 1732415
- Rebuild for python 3.9

* Wed Jun 02 2021 kekepower <kekepower> 1.2.0-1.mga9
+ Revision: 1729373
- Update to version 1.2.0

* Sun Feb 16 2020 umeabot <umeabot> 1.1.1-6.mga8
+ Revision: 1534490
- Mageia 8 Mass Rebuild

* Fri Oct 04 2019 daviddavid <daviddavid> 1.1.1-5.mga8
+ Revision: 1449209
- rebuild for python3.8
- drop python2 support

* Tue Jan 08 2019 shlomif <shlomif> 1.1.1-4.mga7
+ Revision: 1352468
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.1.1-3.mga7
+ Revision: 1288675
- Mageia 7 Mass Rebuild

* Sun Apr 22 2018 daviddavid <daviddavid> 1.1.1-2.mga7
+ Revision: 1221097
- rename python-discid to python2-discid
- add the Python3 subpkg
- use new python macros
+ gw666 <gw666>
- new version

* Wed Jan 13 2016 gw666 <gw666> 1.1.0-6.mga6
+ Revision: 922452
- rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.0-5.mga6
+ Revision: 750771
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.1.0-4.mga5
+ Revision: 728229
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.1.0-3.mga5
+ Revision: 687964
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Feb 04 2014 gw666 <gw666> 1.1.0-1.mga5
+ Revision: 580666
- imported package python-discid


* Tue Dec 31 2013 Götz Waschk <gw666> 1.1.0-1.mga4
- initial Mageia package
